use std::thread;
use std::time::Duration;

fn main() {
    thread::spawn(|| {
        for i in 1..10 {
            println!("witaj, liczbo {} z tworzonego wątku!", i);
            thread::sleep(Duration::from_millis(1));
        }
    });

    for i in 1..5 {
        println!("witaj, liczbo {} z wątku głównego!", i);
        thread::sleep(Duration::from_millis(1));
    }
}
